function onCreate()	
doTweenAlpha('hudalpha', 'iconP1', 0, 0.0001, 'linear')
doTweenAlpha('hudalpha0', 'iconP2', 0, 0.0001, 'linear')
doTweenAlpha('hudalpha1', 'healthBar', 0, 0.0001, 'linear')
doTweenAlpha('hudalpha2', 'healthBarBG', 0, 0.0001, 'linear')
doTweenAlpha('hudalpha3', 'scoreTxt', 0, 0.0001, 'linear') --i cant put the timebar idk why

doTweenColor('bfcolor', 'boyfriend', '000000', 0.0001, 'linear')
doTweenColor('dadcolor', 'dad', '000000', 0.0001, 'linear')
doTweenAlpha('bfalpha', 'boyfriend', 0, 0.0001, 'linear')
doTweenAlpha('dadalpha', 'dad', 0, 0.0001, 'linear')
setProperty('gf.visible', false)

makeLuaSprite('whitebg', '', -100, -100) --Infinite IQ
setScrollFactor('whitebg', 0, 0)
makeGraphic('whitebg', 5000, 5000, 'ffffff')
addLuaSprite('whitebg', false)

makeLuaSprite('whitebg2', '', -100, -100) --Infinite IQ
setScrollFactor('whitebg2', 0, 0)
makeGraphic('whitebg2', 5000, 5000, 'ffffff')
addLuaSprite('whitebg2', true)
doTweenAlpha('bgalpha2', 'whitebg2', 0, 0.0001, 'linear')
end

function onStepHit()
if curStep == 1 then
	doTweenAlpha('dadalpha', 'dad', 1, 6, 'linear')
end
if curStep == 56 then
	doTweenAlpha('bfalpha', 'boyfriend', 1, 6, 'linear')
end
if curStep == 256 then
	doTweenAlpha('dadalpha', 'dad', 0, 6, 'linear')
	doTweenAlpha('bfalpha', 'boyfriend', 0, 6, 'linear')
end
if curStep == 328 then
	doTweenAlpha('bgalpha', 'whitebg', 0, 0.0001, 'linear')
	doTweenAlpha('bgalpha2', 'whitebg2', 1, 0.0001, 'linear')
	doTweenAlpha('dadalpha', 'dad', 1, 0.0001, 'linear')
	doTweenAlpha('bfalpha', 'boyfriend', 1, 0.0001, 'linear')
	doTweenColor('bfcolor', 'boyfriend', 'FFFFFF', 0.0001, 'linear')
	doTweenColor('dadcolor', 'dad', 'FFFFFF', 0.0001, 'linear')
end	
if curStep == 336 then
	doTweenAlpha('bgalpha2', 'whitebg2', 0, 0.2, 'linear')
	doTweenAlpha('hudalpha', 'iconP1', 1, 0.2, 'linear')
	doTweenAlpha('hudalpha0', 'iconP2', 1, 0.2, 'linear')
	doTweenAlpha('hudalpha1', 'healthBar', 1, 0.2, 'linear')
	doTweenAlpha('hudalpha2', 'healthBarBG', 1, 0.2, 'linear')
	doTweenAlpha('hudalpha3', 'scoreTxt', 1, 0.2, 'linear')
end
if curStep == 1672 then
	triggerEvent('Camera Follow Pos', 0, 999999999)
	setProperty('healthBar.visible', false)
	setProperty('healthBarBG.visible', false)
	setProperty('iconP1.visible', false)
	setProperty('iconP2.visible', false)
	setProperty('scoreTxt.visible', false)
	setProperty('timeBar.visible', false)
	setProperty('timeBarBG.visible', false)
	setProperty('timeTxt.visible', false)
	for i = 0,7 do
	setPropertyFromGroup('strumLineNotes', i, 'alpha', 0)
	end
end
end